
CoCoALib - Feature #1131

Sturm sequence

29 Nov 2017 21:35 - John Abbott

Status: Closed Start date: 29 Nov 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 4.44 hours

Target version: CoCoALib-0.99600 Spent time: 4.20 hours

Description

Added fn to compute a Sturm Seq, and to count the number of real roots (between two points?)

History

#1 - 29 Nov 2017 21:39 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 50

I have checked in a first impl.  It seems to work on a couple of simple tests.

The main problem is that it produces ugly coeffs -- this needs to be improved!

#2 - 12 Mar 2018 16:45 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 50 to 80

The implementation seems to be mostly complete (for coeffs in QQ).

The elements of the sequence are scaled so that the coeffs are integer.

#3 - 12 Jun 2018 18:32 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

Works OK in ad hoc testing -- fixed a couple of bugs.

#4 - 03 Aug 2018 16:05 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 4.44 h

The impl ought to be generalized (to any "ordered field").  This is probably not an easy task, so let's wait until it is needed.

Closing.
